<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:include="fragments/head :: head">
    <meta charset="UTF-8"/>
    <title>User</title>

</head>
<body class="black">
<!--/*@thymesVar id="user" type="com.pos_land.steam.domain.User"*/-->
<div th:include="fragments/header :: header"></div>
<div th:include="fragments/modal :: modal"></div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h1>Users</h1>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <a href="#" th:href="@{'/user/create'}" class="btn btn-success"><span
                    class="glyphicon glyphicon-plus"></span> Create new User</a>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="table-responsive">
                <table class="table table-hover">
                    <thead class="thead-inverse">
                    <tr>
                        <th class="col-md-1">ID</th>
                        <th class="col-md-4">User</th>
                        <th class="col-md-3">E-Mail</th>
                        <th class="col-md-4">Options</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="user : ${users}">
                        <td class="col-md-1" th:text="${user.getId()}"></td>
                        <td class="col-md-4" th:text="${user.getUserName()}"></td>
                        <td class="col-md-3" th:text="${user.getEmail()}"></td>
                        <td class="col-md-4"><a href="#" th:href="@{'/user/'+${user.getId()} + '/view'}"
                                                class="btn btn-info">Details</a>
                            <a href="#" th:href="@{'/user/'+${user.getId()} + '/update'}"
                               class="btn btn-warning">Edit</a>
                            <a th:onclick="'javascript:hrefForDeletingElement(\'user\', ' + ${user.getId()} + ')'"
                               class="btn btn-danger">Remove</a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="container-popup">
                <a class="btn btn-primary" href="#" th:href="@{'/'}">Home</a>
            </div>
        </div>
    </div>

</div>

<script src="../static/js/remove.js" th:src="@{/js/remove.js}" type="text/javascript"></script>

</body>

<script src="../static/js/popup.js" th:src="@{/js/popup.js}" type="text/javascript"></script>

</html>